ZapyFlow/API documentationopenapi.json

WhatsApp Templates

Approved message templates

GET/api/ai-agents/{id}/channel-template-options

Required scope: agents.read

ParameterInRequired
categoryqueryno
idpathyes
bash
curl "https://api.zapyflow.com.br/api/ai-agents/{id}/channel-template-options" \
  -H "Authorization: Bearer $ZAPYFLOW_API_KEY"
Responses
  • 200 — OK

POST/api/channels/{channelId}/whatsapp-templates

Required scope: whatsapp_templates.write

ParameterInRequired
channelIdpathyes

Request body

FieldTypeRequiredConstraints
namestringyesmin 1, max 512
category"MARKETING" | "UTILITY" | "AUTHENTICATION"yes—
languagestringyes—
componentsobject | object | object | object | object | object | object[]yes≥ 1 items, ≤ 4 items
bash
curl -X POST "https://api.zapyflow.com.br/api/channels/{channelId}/whatsapp-templates" \
  -H "Authorization: Bearer $ZAPYFLOW_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ ... }'
Responses
  • 201 — Created
  • 400 — Malformed request

POST/api/channels/{channelId}/whatsapp-templates/media-handle

Required scope: whatsapp_templates.write

ParameterInRequired
channelIdpathyes
bash
curl -X POST "https://api.zapyflow.com.br/api/channels/{channelId}/whatsapp-templates/media-handle" \
  -H "Authorization: Bearer $ZAPYFLOW_API_KEY"
Responses
  • 200 — OK
  • 400 — Malformed request

POST/api/channels/{channelId}/whatsapp-templates/sync

Required scope: whatsapp_templates.write

ParameterInRequired
channelIdpathyes
bash
curl -X POST "https://api.zapyflow.com.br/api/channels/{channelId}/whatsapp-templates/sync" \
  -H "Authorization: Bearer $ZAPYFLOW_API_KEY"
Responses
  • 200 — OK
  • 409 — Conflict with the current state

GET/api/whatsapp-templates

Required scope: whatsapp_templates.read

ParameterInRequired
channelIdqueryno
categoryqueryno
statusqueryno
languagequeryno
searchqueryno
pagequeryno
limitqueryno
bash
curl "https://api.zapyflow.com.br/api/whatsapp-templates" \
  -H "Authorization: Bearer $ZAPYFLOW_API_KEY"
Responses
  • 200 — OK

GET/api/whatsapp-templates/{id}

Required scope: whatsapp_templates.read

ParameterInRequired
idpathyes
bash
curl "https://api.zapyflow.com.br/api/whatsapp-templates/{id}" \
  -H "Authorization: Bearer $ZAPYFLOW_API_KEY"
Responses
  • 200 — OK
  • 404 — Not found — also returned when the resource belongs to another workspace

DELETE/api/whatsapp-templates/{id}

Required scope: whatsapp_templates.write

ParameterInRequired
idpathyes
bash
curl -X DELETE "https://api.zapyflow.com.br/api/whatsapp-templates/{id}" \
  -H "Authorization: Bearer $ZAPYFLOW_API_KEY"
Responses
  • 204 — No content

GET/api/whatsapp-templates/stats

Required scope: analytics.read

ParameterInRequired
channelIdqueryno
bash
curl "https://api.zapyflow.com.br/api/whatsapp-templates/stats" \
  -H "Authorization: Bearer $ZAPYFLOW_API_KEY"
Responses
  • 200 — OK